# manager.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/call.h>`
`#include <opal/connection.h>`
`#include <opal/guid.h>`
`#include <opal/audiorecord.h>`
`#include <codec/silencedetect.h>`
`#include <codec/echocancel.h>`
`#include <ptclib/pstun.h>`

Go to the source code of this file.

## Classes

class | OpalManager
class | OpalManager::RouteEntry
struct | OpalManager::PortInfo
class | OpalManager::InterfaceMonitor
class | OpalManager::CallDict

## Functions

PString | OpalGetVersion ()
unsigned | OpalGetMajorVersion ()
unsigned | OpalGetMinorVersion ()
unsigned | OpalGetBuildNumber ()

## Function Documentation

unsigned OpalGetBuildNumber | ( |  | ) |

unsigned OpalGetMajorVersion | ( |  | ) |

unsigned OpalGetMinorVersion | ( |  | ) |

PString OpalGetVersion | ( |  | ) |